Skip to content
Dashboard
Theme
Theme

Set an explicit authoritative SCIM subject binding

PUT /v1/connections/{conn}/scim_binding: Set an explicit authoritative SCIM subject binding.

View Markdown

PUT /v1/connections/{conn}/scim_binding

Scope
policies:write
Auth
Secret key (sk_…)
Since
1.0
  • conn string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • directory_id string Required

  • match_key string

    one of externalId, userName · default "externalId"

Errors share one shape; see the error code catalogue.

curl -X PUT \
"https://api.ohauthcat.com/v1/connections/conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/scim_binding" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"directory_id": "dir_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}'
Response 200
{
"directory_id": "dir_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"match_key": "externalId"
}